Welcome Guest. Please Login or Register  


You are here: Index > AMPPS > General Support > Topic : Ampps WHMCS Install Ioncube Loader Issue



Threaded Mode | Print  

 Ampps WHMCS Install Ioncube Loader Issue, Issue with the ioncube loader on the WHMCS install (4 Replies, Read 10454 times)
AlexFaller
Group: Member
Post Group: Newbie
Posts: 2
Status:
Hi, Ive just installem Ampps and I am trying to run a local version of WHMCS with my dev licence. I have installed it but Im getting an error:
Fatal error: The file /Applications/AMPPS/www/fws.dev/index.php cannot be decoded by this version of the ionCube Loader. If you are the administrator of this site then please install the latest version of the ionCube Loader. in Unknown on line 0.

Anyone have any ideas? Ive checked I have the latest versions of Ampps which says it uses the ioncube loader for all php versions.
IP: --   

Ampps WHMCS Install Ioncube Loader Issue -FIXED
AlexFaller
Group: Member
Post Group: Newbie
Posts: 2
Status:
Fixed it, I downloaded the loaders from the ioncube site and put the correct ones in the folder for the php version Im using. The newest Ampps download must contain old loaders still
IP: --   

Ampps WHMCS Install Ioncube Loader Issue
Rishi_P
Group: AMPPS Team
Post Group: Elite Member
Posts: 317
Status:
Hi Alex,

In Ampps 3.3 we are giving Ioncube Loader v4.0.14 for PHP-5.3 but we have updated Ioncube Loader for PHP 5.4, 5.5 and 5.6
For PHP 5.4, PHP 5.5 and 5.6 we have given ioncube loader v5.0.8.

To enable Ioncube Loader Open PHP Configuration of the respected version.
AMPPS Control Panel --> PHP --> Configuration.

And add following line.

zend_extension="{$path}\php\ioncube_loader_win_x.x.dll"

save and Restart Ampps.

Note x.x is PHP version.
For Eg: For PHP 5.4 the command shall be:
zend_extension="{$path}\php\ioncube_loader_win_5.4.dll"

For PHP-5.3 you can download ioncube loader from following link:
http://downloads3.ioncube.com/loader_downloads/ioncube_loaders_win_vc9_x86.zip

Extract it and copy it to /path/to/Ampps/php-5.3/

We will fix this in next update.
IP: --   

Ampps WHMCS Install Ioncube Loader Issue
Tom888
Group: Member
Post Group: Newbie
Posts: 1
Status:
Hi, I'm having a similar issue....

Fatal error: The file /Applications/AMPPS/ampps/softaculous/enduser/inc.php cannot be decoded by this version of the ionCube Loader. If you are the administrator of this site then please install the latest version of the ionCube Loader. in Unknown on line 0.

I don't want to lose the site I'm currently building.... how do I fix this issue without losing anything?

Many Thanks
IP: --   

Ampps WHMCS Install Ioncube Loader Issue
Rishi_P
Group: AMPPS Team
Post Group: Elite Member
Posts: 317
Status:
Hi,

Try this:

Go to https://www.ioncube.com/loaders.php and download OS X (32 bits) zip file.

Extract ioncube_loaders_dar_x86.zip , copy ioncube_loader_dar_5.3.so and paste it to /Applications/AMPPS/php-5.3/lib/extensions/ directory.

Restart Ampps.
IP: --   

« Previous    Next »

Threaded Mode | Print  



Jump To :


Users viewing this topic
1 guests, 0 users.


All times are GMT. The time now is December 12, 2018, 5:17 am.

  Powered By AEF 1.0.8 © 2007-2008 Electron Inc.Queries: 11  |  Page Created In:0.228